#if !defined( _mcmc_local_basis_fn_regression_h )
#define _mcmc_local_basis_fn_regression_h

#include "glm_mvn.h"
class MCMC_Local_Basis_Fn_Regression : public GLM_MVN
{
  public:
   ///
   MCMC_Local_Basis_Fn_Regression( int argc, char **argv );
   ///
   MCMC_Local_Basis_Fn_Regression( gsl_matrix* X1, gsl_matrix* Y1 );// uses matrix,matrix constructor of base class
   ///
   MCMC_Local_Basis_Fn_Regression( gsl_matrix* X1, gsl_matrix* Y1, gsl_matrix* D1 );// uses matrix,matrix,matrix constructor of base class
   ///
   ~MCMC_Local_Basis_Fn_Regression();
   ///
   void initialise();

   virtual void post_move_updates();// Carries out any updates required after the move, accepted or not.

   virtual void update_ergodic_averages();//overwritten fn updating model averages
   
  private:
   
};

#endif

